Class | CharDet::GB2312Prober
In: | lib/tmail/vendor/rchardet-1.3/lib/rchardet/gb2312prober.rb
Parent: | MultiByteCharSetProber

### Methods

get_charset_name new

### Public Class methods

new()

[Source]

    # File lib/tmail/vendor/rchardet-1.3/lib/rchardet/gb2312prober.rb, line 31
        def initialize
          super
          @_mCodingSM = CodingStateMachine.new(GB2312SMModel)
          @_mDistributionAnalyzer = GB2312DistributionAnalysis.new()
          reset()
        end

### Public Instance methods

get_charset_name()

[Source]

    # File lib/tmail/vendor/rchardet-1.3/lib/rchardet/gb2312prober.rb, line 38
        def get_charset_name
          return "GB2312"
        end

[Validate]